Index: orxonox/trunk/src/defs/stdlibincl.h
===================================================================
--- orxonox/trunk/src/defs/stdlibincl.h	(revision 5030)
+++ orxonox/trunk/src/defs/stdlibincl.h	(revision 5031)
@@ -1,8 +1,8 @@
 /*!
-  \file stdlibincl.h
-  \brief some headers of the stdlib
-  
-  no Class is defined here.
-*/
+ * @file stdlibincl.h
+ * some headers of the stdlib
+ *
+ * no Class is defined here.
+ */
 
 #ifndef _STDLIBINCL_H
Index: orxonox/trunk/src/lib/util/ini_parser.cc
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.cc	(revision 5030)
+++ orxonox/trunk/src/lib/util/ini_parser.cc	(revision 5031)
@@ -22,5 +22,6 @@
 
 #include "list.h"
-#include "stdlibincl.h"
+#include <stdlib.h>
+#include <string.h>
 #include "debug.h"
 
@@ -33,9 +34,8 @@
 IniParser::IniParser (const char* fileName)
 {
-  this->setClassID(CL_INI_PARSER, "IniParser");
-
   this->currentEntry = NULL;
   this->currentSection = NULL;
   this->sections = NULL;
+  this->fileName = NULL;
   if (fileName != NULL)
     this->readFile(fileName);
@@ -83,5 +83,5 @@
   this->currentSection = NULL;
   this->sections = NULL;
-  this->setName(NULL);
+  this->setFileName(NULL);
 }
 
@@ -98,5 +98,5 @@
   if( fileName == NULL)
     return false;
-  this->setName(fileName);
+  this->setFileName(fileName);
 
   if( (stream = fopen (fileName, "r")) == NULL)
@@ -234,5 +234,5 @@
   this->currentSection = newSection;
   this->sections->add(newSection);
-  PRINTF(0)("Added Section %s\n", sectionName);
+  PRINTF(5)("Added Section %s\n", sectionName);
   return true;
 }
@@ -375,4 +375,5 @@
     strcpy(newEntry->value, value);
     this->currentSection->entries->add(newEntry);
+    PRINTF(5)("Added Entry %s with Value '%s' to Section %s\n", newEntry->name, newEntry->name, addSection->name);
     return true;
   }
@@ -421,5 +422,5 @@
   }
   else
-    PRINTF(1)("%s not opened\n", this->getName());
+    PRINTF(1)("%s not opened\n", fileName);
 
   return defaultValue;
@@ -427,4 +428,19 @@
 }
 
+
+void IniParser::setFileName(const char* fileName)
+{
+  if (this->fileName)
+    delete []this->fileName;
+  if (fileName)
+  {
+    this->fileName = new char[strlen(fileName)+1];
+    strcpy(this->fileName, fileName);
+  }
+  else
+    this->fileName = NULL;
+}
+
+
 /**
  * output the whole tree in a nice and easy way.
@@ -432,5 +448,5 @@
 void IniParser::debug() const
 {
-  PRINTF(0)("Iniparser %s - debug\n", this->getName());
+  PRINTF(0)("Iniparser %s - debug\n", this->fileName);
   if (this->sections)
   {
@@ -456,4 +472,4 @@
   }
   else
-    PRINTF(1)("%s not opened\n", this->getName());
-}
+    PRINTF(1)("%s not opened\n", fileName);
+}
Index: orxonox/trunk/src/lib/util/ini_parser.h
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.h	(revision 5030)
+++ orxonox/trunk/src/lib/util/ini_parser.h	(revision 5031)
@@ -10,6 +10,7 @@
 
 #define PARSELINELENGHT     512       //!< how many chars to read at once
-
-#include "base_object.h"
+#ifndef NULL
+#define NULL 0x0                      //!< NULL
+#endif
 
 // FORWARD DEFINITION //
@@ -20,5 +21,5 @@
  * This class can be used to load an initializer file and parse it's contents for variablename=value pairs.
  */
-class IniParser : public BaseObject
+class IniParser
 {
   private:
@@ -53,4 +54,6 @@
     /** @returns true if the file is opened, false otherwise*/
     bool isOpen() const { return (sections != NULL)?true:false; };
+    /** @returns the fileName we have opened. */
+    const char* getFileName() const { return this->fileName; };
 
     bool addVar(const char* entryName, const char* value, const char* sectionName = NULL);
@@ -71,6 +74,8 @@
   private:
     void deleteSections();
+    void setFileName(const char* fileName);
 
   private:
+    char*                 fileName;        //!< The name of the File that was parsed.
     tList<IniSection>*    sections;        //!< a list of all stored Sections of the Parser
     IniSection*           currentSection;  //!< the current selected Section
Index: orxonox/trunk/src/subprojects/importer/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 5030)
+++ orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 5031)
@@ -31,3 +31,4 @@
                   $(MAINSRCDIR)/util/loading/load_param.cc \
                   $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/lib/util/color.cc \
                   $(MAINSRCDIR)/util/loading/factory.cc
Index: orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 5030)
+++ orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 5031)
@@ -61,5 +61,5 @@
 	importer-p_node.$(OBJEXT) importer-null_parent.$(OBJEXT) \
 	importer-load_param.$(OBJEXT) importer-substring.$(OBJEXT) \
-	importer-factory.$(OBJEXT)
+	importer-color.$(OBJEXT) importer-factory.$(OBJEXT)
 importer_OBJECTS = $(am_importer_OBJECTS)
 importer_DEPENDENCIES = $(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -73,4 +73,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/importer-camera.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-class_list.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/importer-color.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-element_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-factory.Po \
@@ -233,4 +234,5 @@
                   $(MAINSRCDIR)/util/loading/load_param.cc \
                   $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/lib/util/color.cc \
                   $(MAINSRCDIR)/util/loading/factory.cc
 
@@ -304,4 +306,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-camera.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-class_list.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-color.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-element_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-factory.Po@am__quote@
@@ -624,4 +627,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-substring.obj `if test -f '$(MAINSRCDIR)/lib/util/substring.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/substring.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/substring.cc'; fi`
+
+importer-color.o: $(MAINSRCDIR)/lib/util/color.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-color.o -MD -MP -MF "$(DEPDIR)/importer-color.Tpo" -c -o importer-color.o `test -f '$(MAINSRCDIR)/lib/util/color.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/color.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-color.Tpo" "$(DEPDIR)/importer-color.Po"; else rm -f "$(DEPDIR)/importer-color.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/color.cc' object='importer-color.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-color.Po' tmpdepfile='$(DEPDIR)/importer-color.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-color.o `test -f '$(MAINSRCDIR)/lib/util/color.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/color.cc
+
+importer-color.obj: $(MAINSRCDIR)/lib/util/color.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-color.obj -MD -MP -MF "$(DEPDIR)/importer-color.Tpo" -c -o importer-color.obj `if test -f '$(MAINSRCDIR)/lib/util/color.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/color.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/color.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-color.Tpo" "$(DEPDIR)/importer-color.Po"; else rm -f "$(DEPDIR)/importer-color.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/color.cc' object='importer-color.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-color.Po' tmpdepfile='$(DEPDIR)/importer-color.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-color.obj `if test -f '$(MAINSRCDIR)/lib/util/color.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/color.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/color.cc'; fi`
 
 importer-factory.o: $(MAINSRCDIR)/util/loading/factory.cc
Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 5030)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 5031)
@@ -37,4 +37,5 @@
                    $(MAINSRCDIR)/util/loading/load_param.cc \
                    $(MAINSRCDIR)/util/loading/factory.cc \
+                   $(MAINSRCDIR)/lib/util/color.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 5030)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 5031)
@@ -63,5 +63,6 @@
 	particles-null_parent.$(OBJEXT) particles-gui_gtk.$(OBJEXT) \
 	particles-substring.$(OBJEXT) particles-load_param.$(OBJEXT) \
-	particles-factory.$(OBJEXT) particles-ini_parser.$(OBJEXT)
+	particles-factory.$(OBJEXT) particles-color.$(OBJEXT) \
+	particles-ini_parser.$(OBJEXT)
 particles_OBJECTS = $(am_particles_OBJECTS)
 am__DEPENDENCIES_1 =
@@ -80,4 +81,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/particles-camera.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-class_list.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/particles-color.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-element_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-factory.Po \
@@ -249,4 +251,5 @@
                    $(MAINSRCDIR)/util/loading/load_param.cc \
                    $(MAINSRCDIR)/util/loading/factory.cc \
+                   $(MAINSRCDIR)/lib/util/color.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
@@ -320,4 +323,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-camera.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-class_list.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-color.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-element_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-factory.Po@am__quote@
@@ -674,4 +678,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`
+
+particles-color.o: $(MAINSRCDIR)/lib/util/color.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-color.o -MD -MP -MF "$(DEPDIR)/particles-color.Tpo" -c -o particles-color.o `test -f '$(MAINSRCDIR)/lib/util/color.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/color.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-color.Tpo" "$(DEPDIR)/particles-color.Po"; else rm -f "$(DEPDIR)/particles-color.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/color.cc' object='particles-color.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-color.Po' tmpdepfile='$(DEPDIR)/particles-color.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-color.o `test -f '$(MAINSRCDIR)/lib/util/color.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/color.cc
+
+particles-color.obj: $(MAINSRCDIR)/lib/util/color.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-color.obj -MD -MP -MF "$(DEPDIR)/particles-color.Tpo" -c -o particles-color.obj `if test -f '$(MAINSRCDIR)/lib/util/color.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/color.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/color.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-color.Tpo" "$(DEPDIR)/particles-color.Po"; else rm -f "$(DEPDIR)/particles-color.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/color.cc' object='particles-color.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-color.Po' tmpdepfile='$(DEPDIR)/particles-color.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-color.obj `if test -f '$(MAINSRCDIR)/lib/util/color.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/color.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/color.cc'; fi`
 
 particles-ini_parser.o: $(MAINSRCDIR)/lib/util/ini_parser.cc