Index: /orxonox/trunk/src/collision.h
===================================================================
--- /orxonox/trunk/src/collision.h	(revision 5038)
+++ /orxonox/trunk/src/collision.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file collision.h
+ * @file collision.h
   *  Basic collision detection
 */ 
Index: /orxonox/trunk/src/defs/class_id.h
===================================================================
--- /orxonox/trunk/src/defs/class_id.h	(revision 5038)
+++ /orxonox/trunk/src/defs/class_id.h	(revision 5039)
@@ -17,5 +17,5 @@
 
 /*!
-    \file class_id.h
+ * @file class_id.h
   *  list of orxonox classID's
 
Index: /orxonox/trunk/src/defs/debug.h
===================================================================
--- /orxonox/trunk/src/defs/debug.h	(revision 5038)
+++ /orxonox/trunk/src/defs/debug.h	(revision 5039)
@@ -15,5 +15,5 @@
 
 /*!
-    \file debug.h
+ * @file debug.h
   *  Handles output to console for different Verbose-Modes.
 
Index: /orxonox/trunk/src/defs/error.h
===================================================================
--- /orxonox/trunk/src/defs/error.h	(revision 5038)
+++ /orxonox/trunk/src/defs/error.h	(revision 5039)
@@ -18,5 +18,5 @@
 
 /*! 
-    \file error.h
+ * @file error.h
   *  A compendium of Error codes used in the program
 */ 
Index: /orxonox/trunk/src/glmenu/glmenu_imagescreen.h
===================================================================
--- /orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 5038)
+++ /orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file glmenu_imagescreen.h
+ * @file glmenu_imagescreen.h
   *  class to display a LoadScreen
 */
Index: /orxonox/trunk/src/lib/collision_detection/bounding_sphere.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bounding_sphere.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/bounding_sphere.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file bounding_sphere.h
+ * @file bounding_sphere.h
   *  Definition of a bounding sphere
 
Index: /orxonox/trunk/src/lib/collision_detection/bounding_volume.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bounding_volume.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/bounding_volume.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file bounding_volume.h
+ * @file bounding_volume.h
   *  Definition of a bounding volume for collision detection algorithms
 
Index: /orxonox/trunk/src/lib/collision_detection/bv_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file bv_tree.h
+ * @file bv_tree.h
   *  Definition of a bounding volume tree
 
Index: /orxonox/trunk/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bv_tree_node.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/bv_tree_node.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file bv_tree.h
+ * @file bv_tree.h
   *  Definition of a bounding volume tree
 
Index: /orxonox/trunk/src/lib/collision_detection/cd_engine.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file cd_engine.h
+ * @file cd_engine.h
   *  Definition of the collision detection engine
 
Index: /orxonox/trunk/src/lib/collision_detection/collision.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/collision.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/collision.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file collision.h
+ * @file collision.h
   *  Definition of a collision event
 
Index: /orxonox/trunk/src/lib/collision_detection/collision_defs.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/collision_defs.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/collision_defs.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file collision_defs.h
+ * @file collision_defs.h
   *  Definition of some global collision data
 
Index: /orxonox/trunk/src/lib/collision_detection/lin_alg.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/lin_alg.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/lin_alg.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file lin_alg.h
+ * @file lin_alg.h
   *  Definition of some important linear algebra formulas
 
Index: /orxonox/trunk/src/lib/collision_detection/obb.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/obb.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file obb.h
+ * @file obb.h
   *  Definition of an OBB (object Oriented Bounding Box)
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file obb_tree.h
+ * @file obb_tree.h
   *  Definition of an obb tree (object oriented Bounding Box)
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5038)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file bv_tree.h
+ * @file bv_tree.h
   *  Definition of a bounding volume tree
 
Index: /orxonox/trunk/src/lib/coord/null_parent.h
===================================================================
--- /orxonox/trunk/src/lib/coord/null_parent.h	(revision 5038)
+++ /orxonox/trunk/src/lib/coord/null_parent.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file null_parent.h
+ * @file null_parent.h
   *  Definition of the NullParent, the higest PNode of them all.
 */
Index: /orxonox/trunk/src/lib/event/event.h
===================================================================
--- /orxonox/trunk/src/lib/event/event.h	(revision 5038)
+++ /orxonox/trunk/src/lib/event/event.h	(revision 5039)
@@ -1,6 +1,5 @@
 /*!
-    \file event.h
-  *  an abstract event
-
+ * @file event.h
+ * an abstract event
 */
 
Index: /orxonox/trunk/src/lib/event/event_def.h
===================================================================
--- /orxonox/trunk/src/lib/event/event_def.h	(revision 5038)
+++ /orxonox/trunk/src/lib/event/event_def.h	(revision 5039)
@@ -2,5 +2,4 @@
  * @file event_def.h
  * some central definitions
-
 */
 
Index: /orxonox/trunk/src/lib/event/event_handler.h
===================================================================
--- /orxonox/trunk/src/lib/event/event_handler.h	(revision 5038)
+++ /orxonox/trunk/src/lib/event/event_handler.h	(revision 5039)
@@ -1,7 +1,7 @@
 /*!
-    \file event_handler.h
-  *  Definition of the EventHandler
-
-*/
+ * @file event_handler.h
+ * Definition of the EventHandler
+ *
+ */
 
 #ifndef _EVENT_HANDLER_H
Index: /orxonox/trunk/src/lib/event/event_listener.h
===================================================================
--- /orxonox/trunk/src/lib/event/event_listener.h	(revision 5038)
+++ /orxonox/trunk/src/lib/event/event_listener.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file event_listener.h
+ * @file event_listener.h
   *  Definition of an event listener base class
 
Index: /orxonox/trunk/src/lib/event/key_mapper.h
===================================================================
--- /orxonox/trunk/src/lib/event/key_mapper.h	(revision 5038)
+++ /orxonox/trunk/src/lib/event/key_mapper.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file key_mapper.h
+ * @file key_mapper.h
   *  a construct to map player defined keys to SDL keys
 
Index: /orxonox/trunk/src/lib/event/key_names.h
===================================================================
--- /orxonox/trunk/src/lib/event/key_names.h	(revision 5038)
+++ /orxonox/trunk/src/lib/event/key_names.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file keynames.h
+ * @file keynames.h
   *  Key/button naming functions
 
Index: /orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file graphics_engine.h
+ * @file graphics_engine.h
 
   *  defines a Interface between orxonox and graphical input
Index: /orxonox/trunk/src/lib/graphics/importer/abstract_model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 5039)
@@ -15,5 +15,5 @@
 
 /*!
-    \file abstract_model.h
+ * @file abstract_model.h
   *  Definition of an abstract model. containing all needed for other model
 */
Index: /orxonox/trunk/src/lib/graphics/importer/md2Model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file md2Model.h
+ * @file md2Model.h
   *  Definition of an MD2 Model, a model format invented by ID Software.
 
Index: /orxonox/trunk/src/lib/graphics/importer/primitive_model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file primitive_model.h 
+ * @file primitive_model.h 
   *  a Class to handle different simple models like planes cubes spheres and so on.
     (cube is also an option of Model, but is extended here.
Index: /orxonox/trunk/src/lib/graphics/light.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/light.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/light.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file light.h
+ * @file light.h
   *  Handles Lights.
 
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file quadtree.h
+ * @file quadtree.h
  *  Definition of a spatial data separation using quadtree
 
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
- *  \file proto_class.h
+ * @file proto_class.h
  *  Definition of a QuadtreeNode which represents a quad in a Quadtree
 
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file spatial_separation.h  Definition of the generic spatial separation process of model data
+ * @file spatial_separation.h  Definition of the generic spatial separation process of model data
  */
 
Index: /orxonox/trunk/src/lib/graphics/text_engine.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/text_engine.h	(revision 5038)
+++ /orxonox/trunk/src/lib/graphics/text_engine.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file text_engine.h
+ * @file text_engine.h
   *  Definition of textEngine, the Font and the Text
 
Index: /orxonox/trunk/src/lib/gui/gui_element.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_element.h	(revision 5038)
+++ /orxonox/trunk/src/lib/gui/gui_element.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file gui_element.h
+ * @file gui_element.h
   *  Definition of ...
 
Index: /orxonox/trunk/src/lib/lang/base_object.h
===================================================================
--- /orxonox/trunk/src/lib/lang/base_object.h	(revision 5038)
+++ /orxonox/trunk/src/lib/lang/base_object.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file base_object.h
+ * @file base_object.h
   *  Definition of the base object class.
 
Index: /orxonox/trunk/src/lib/lang/class_list.h
===================================================================
--- /orxonox/trunk/src/lib/lang/class_list.h	(revision 5038)
+++ /orxonox/trunk/src/lib/lang/class_list.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file class_list.h
+ * @file class_list.h
   *  Definition of the Class List, that handles a Class-Specific-Control structure
 
Index: /orxonox/trunk/src/lib/math/curve.h
===================================================================
--- /orxonox/trunk/src/lib/math/curve.h	(revision 5038)
+++ /orxonox/trunk/src/lib/math/curve.h	(revision 5039)
@@ -1,5 +1,5 @@
 
 /*!
-    \file curve.h
+ * @file curve.h
   *  A basic 3D curve framework
 
Index: /orxonox/trunk/src/lib/network/synchronisable.h
===================================================================
--- /orxonox/trunk/src/lib/network/synchronisable.h	(revision 5038)
+++ /orxonox/trunk/src/lib/network/synchronisable.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file synchronisable.h
+ * @file synchronisable.h
     \brief informations about objects, that needs to be synchronized over the network
 
Index: /orxonox/trunk/src/lib/particles/particle_emitter.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 5038)
+++ /orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file particle_emitter.h
+ * @file particle_emitter.h
   *  Definition of a ParticleEmitter
 */
Index: /orxonox/trunk/src/lib/particles/particle_engine.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_engine.h	(revision 5038)
+++ /orxonox/trunk/src/lib/particles/particle_engine.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file particle_engine.h
+ * @file particle_engine.h
   *  Definition of the ParticleEngine
 */
Index: /orxonox/trunk/src/lib/particles/particle_system.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.h	(revision 5038)
+++ /orxonox/trunk/src/lib/particles/particle_system.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file particle_system.h
+ * @file particle_system.h
 
 */
Index: /orxonox/trunk/src/lib/particles/quick_animation.h
===================================================================
--- /orxonox/trunk/src/lib/particles/quick_animation.h	(revision 5038)
+++ /orxonox/trunk/src/lib/particles/quick_animation.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file quick_animation.h
+ * @file quick_animation.h
   *  Definition of the QuickAnimation-class
 
Index: /orxonox/trunk/src/lib/physics/fields/field.h
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/field.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/fields/field.h	(revision 5039)
@@ -15,5 +15,5 @@
 
 /*!
-    \file field.h
+ * @file field.h
   *  abstract definition of a Physical Field
 
Index: /orxonox/trunk/src/lib/physics/fields/fields.h
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/fields.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/fields/fields.h	(revision 5039)
@@ -15,5 +15,5 @@
 
 /*! 
-    \file fields.h
+ * @file fields.h
   *  collection of all Headers of all the different fileds there are in the 
     PhysicsEngine
Index: /orxonox/trunk/src/lib/physics/fields/gravity.h
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/gravity.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/fields/gravity.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file gravity.h
+ * @file gravity.h
   *  Definition of ...
 
Index: /orxonox/trunk/src/lib/physics/fields/point_gravity.h
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/point_gravity.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/fields/point_gravity.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file point_gravity.h
+ * @file point_gravity.h
   *  Definition of ...
 
Index: /orxonox/trunk/src/lib/physics/fields/twirl.h
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/twirl.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/fields/twirl.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file twirl.h
+ * @file twirl.h
   *  Definition of ...
 
Index: /orxonox/trunk/src/lib/physics/physics_connection.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file physics_connection.h
+ * @file physics_connection.h
   *  Definition of The Physical Connection Class.
 */
Index: /orxonox/trunk/src/lib/physics/physics_engine.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_engine.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/physics_engine.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file physics_engine.h
+ * @file physics_engine.h
   *  Definition of the PhysicsEngine-singleton Class
 
Index: /orxonox/trunk/src/lib/physics/physics_interface.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_interface.h	(revision 5038)
+++ /orxonox/trunk/src/lib/physics/physics_interface.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file physics_interface.h
+ * @file physics_interface.h
   *  a physics interface simulating a body with a mass
 */
Index: /orxonox/trunk/src/story_entities/story_entity.h
===================================================================
--- /orxonox/trunk/src/story_entities/story_entity.h	(revision 5038)
+++ /orxonox/trunk/src/story_entities/story_entity.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file story_entity.h
+ * @file story_entity.h
   *  holds the base class of everything that is playable - that is part of the story
 */
Index: /orxonox/trunk/src/story_entities/world.h
===================================================================
--- /orxonox/trunk/src/story_entities/world.h	(revision 5038)
+++ /orxonox/trunk/src/story_entities/world.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file world.h
+ * @file world.h
   *  Holds and manages all game data
 */
Index: /orxonox/trunk/src/subprojects/benchmark.h
===================================================================
--- /orxonox/trunk/src/subprojects/benchmark.h	(revision 5038)
+++ /orxonox/trunk/src/subprojects/benchmark.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file benchmark.h
+ * @file benchmark.h
   *  benchmark functions
 */
Index: /orxonox/trunk/src/util/animation/animation.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation.h	(revision 5038)
+++ /orxonox/trunk/src/util/animation/animation.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file animation.h
+ * @file animation.h
     A Subclass for all animations in orxonox
 */
Index: /orxonox/trunk/src/util/animation/animation3d.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation3d.h	(revision 5038)
+++ /orxonox/trunk/src/util/animation/animation3d.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file animation3d.h
+ * @file animation3d.h
 */
 
Index: /orxonox/trunk/src/util/animation/animation_player.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation_player.h	(revision 5038)
+++ /orxonox/trunk/src/util/animation/animation_player.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file animation_player.h
+ * @file animation_player.h
 */
 
Index: /orxonox/trunk/src/util/animation/t_animation.h
===================================================================
--- /orxonox/trunk/src/util/animation/t_animation.h	(revision 5038)
+++ /orxonox/trunk/src/util/animation/t_animation.h	(revision 5039)
@@ -15,5 +15,5 @@
 
 /*!
-    \file t_animation.h
+ * @file t_animation.h
 */
 
Index: /orxonox/trunk/src/util/loading/load_param.h
===================================================================
--- /orxonox/trunk/src/util/loading/load_param.h	(revision 5038)
+++ /orxonox/trunk/src/util/loading/load_param.h	(revision 5039)
@@ -15,5 +15,5 @@
 
 /*!
-    \file load_param.h
+ * @file load_param.h
   *  A Class and macro-functions, that makes our lives easy to load-in parameters
 */
Index: /orxonox/trunk/src/util/resource_manager.h
===================================================================
--- /orxonox/trunk/src/util/resource_manager.h	(revision 5038)
+++ /orxonox/trunk/src/util/resource_manager.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file resource_manager.h
+ * @file resource_manager.h
   *  The Resource Manager checks if a file/resource is loaded.
 
Index: /orxonox/trunk/src/util/state.h
===================================================================
--- /orxonox/trunk/src/util/state.h	(revision 5038)
+++ /orxonox/trunk/src/util/state.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file state.h
+ * @file state.h
   *  Definition of the States-singleton Class
 */
Index: /orxonox/trunk/src/util/track/pilot_node.h
===================================================================
--- /orxonox/trunk/src/util/track/pilot_node.h	(revision 5038)
+++ /orxonox/trunk/src/util/track/pilot_node.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file pilot_node.h
+ * @file pilot_node.h
   *  Definition of a PilotNode
 */
Index: /orxonox/trunk/src/util/track/track_node.h
===================================================================
--- /orxonox/trunk/src/util/track/track_node.h	(revision 5038)
+++ /orxonox/trunk/src/util/track/track_node.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file track_node.h
+ * @file track_node.h
   *  Definition of the TrackNode are located here
     
Index: /orxonox/trunk/src/world_entities/character_attributes.h
===================================================================
--- /orxonox/trunk/src/world_entities/character_attributes.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/character_attributes.h	(revision 5039)
@@ -1,6 +1,6 @@
-/*! 
-    \file character_attributes.h
-  *  Definition of the attributes of a character (healt, armor,.. ) whatever is important to the character
-*/
+/*!
+ * @file character_attributes.h
+ * Definition of the attributes of a character (healt, armor,.. ) whatever is important to the character
+ */
 
 #ifndef _CHARACTER_ATTRIBUTES_H
@@ -12,5 +12,5 @@
 //! A class including all important information about a character
 /**
-  its not yet clear, what the character-attributes will be. 
+  its not yet clear, what the character-attributes will be.
 */
 class CharacterAttributes : public BaseObject {
@@ -65,5 +65,5 @@
   void setEnergyMax(int energy);
   int getEnergyMax();
-  
+
 
  private:
@@ -81,5 +81,5 @@
   float damageLaserModifier;         //<! [0..1] the damage from laser is multiplied with this modifier. there can be things in the world, that are immune to certain damage
   float damagePlasmaModifier;        //<! [0..1] the damage from plasma is multiplied with this modifier. there can be things in the world, that are immune to certain damage
-  float damageExplosiveModifier;      //<! [0..1] the damage from exposives (rockets, tnt,...) is multiplied with this modifier. there can be things in the world, that are immune to certain damage 
+  float damageExplosiveModifier;      //<! [0..1] the damage from exposives (rockets, tnt,...) is multiplied with this modifier. there can be things in the world, that are immune to certain damage
 
   /* energy */
Index: /orxonox/trunk/src/world_entities/power_up.h
===================================================================
--- /orxonox/trunk/src/world_entities/power_up.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/power_up.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*! 
-    \file power_up.h
+ * @file power_up.h
   *  A class representing a PowerUp in the world.
 */ 
Index: /orxonox/trunk/src/world_entities/satellite.h
===================================================================
--- /orxonox/trunk/src/world_entities/satellite.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/satellite.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file world_entity.h
+ * @file world_entity.h
   *  Definition of the basic WorldEntity
 */
Index: /orxonox/trunk/src/world_entities/skybox.h
===================================================================
--- /orxonox/trunk/src/world_entities/skybox.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/skybox.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file skybox.h
+ * @file skybox.h
   *  Definition of the SkyBox, that handles the Display of an atmosphere for orxonox.
 
Index: /orxonox/trunk/src/world_entities/skysphere.h
===================================================================
--- /orxonox/trunk/src/world_entities/skysphere.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/skysphere.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file skysphere.h
+ * @file skysphere.h
   *  Definition of the Skysphere, that handles the Display of an atmosphere of orxonox.
 
Index: /orxonox/trunk/src/world_entities/terrain.h
===================================================================
--- /orxonox/trunk/src/world_entities/terrain.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/terrain.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file terrain.h
+ * @file terrain.h
   *  Defines and handles the terrain of the World
 
Index: /orxonox/trunk/src/world_entities/weapons/crosshair.h
===================================================================
--- /orxonox/trunk/src/world_entities/weapons/crosshair.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/weapons/crosshair.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file crosshair.h
+ * @file crosshair.h
   *  Definition of ...
 
Index: /orxonox/trunk/src/world_entities/weapons/projectile.h
===================================================================
--- /orxonox/trunk/src/world_entities/weapons/projectile.h	(revision 5038)
+++ /orxonox/trunk/src/world_entities/weapons/projectile.h	(revision 5039)
@@ -1,4 +1,4 @@
 /*!
-    \file projectile.h
+ * @file projectile.h
   *  a projectile, that is been shooted by a weapon
 