Index: /orxonox/trunk/src/defs/debug.h
===================================================================
--- /orxonox/trunk/src/defs/debug.h	(revision 5040)
+++ /orxonox/trunk/src/defs/debug.h	(revision 5041)
@@ -69,5 +69,5 @@
 #define DEBUG_MODULE_LIGHT              0
 #define DEBUG_MODULE_PLAYER             1
-#define DEBUG_MODULE_WEAPON             4
+#define DEBUG_MODULE_WEAPON             3
 #define DEBUG_MODULE_MATH               0
 #define DEBUG_MODULE_FONT               1
Index: /orxonox/trunk/src/lib/coord/p_node.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.cc	(revision 5040)
+++ /orxonox/trunk/src/lib/coord/p_node.cc	(revision 5041)
@@ -550,5 +550,5 @@
           delete this->toDirection;
           this->toDirection = NULL;
-          PRINTF(0)("SmoothRotate of %s finished\n", this->getName());
+          PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
         }
       }
Index: /orxonox/trunk/src/util/fast_factory.cc
===================================================================
--- /orxonox/trunk/src/util/fast_factory.cc	(revision 5040)
+++ /orxonox/trunk/src/util/fast_factory.cc	(revision 5041)
@@ -16,7 +16,8 @@
 
 #include "fast_factory.h"
+
 #include "compiler.h"
 #include "debug.h"
-#include "string.h"
+#include <string.h>
 
 using namespace std;
@@ -144,5 +145,5 @@
   while (tmpFac != NULL)
   {
-    printf("DELETEING ALL OF %s\n",tmpFac->getName());
+    PRINTF(4)("DELETEING ALL OF %s\n",tmpFac->getName());
     tmpFac->flush(hardFLUSH);
     tmpFac = tmpFac->next;
@@ -163,5 +164,4 @@
     if (hardFLUSH)
     {
-      PRINTF(1)("COOL\n");
       delete delMember->objectPointer;
     }
@@ -205,6 +205,7 @@
   if (unlikely(this->deadList == NULL))
   {
-    PRINTF(2)("The deadList of Class %s is empty, this may be either because it has not been filled yet, or the cache is to small.\n" \
-        "Fabricating a new %s\n", this->getName(), this->getName());
+    PRINTF(3)("The deadList of Class %s is empty, this may be either because it has not been filled yet, or the cache is to small.\n" \
+        "  Developer: try increasing the count with FastFactory::prepare(contHigher than actual)\n" \
+        "    Fabricating a new %s\n", this->getName(), this->getName());
     this->fabricate();
     return this->resurrect();
Index: /orxonox/trunk/src/world_entities/player.cc
===================================================================
--- /orxonox/trunk/src/world_entities/player.cc	(revision 5040)
+++ /orxonox/trunk/src/world_entities/player.cc	(revision 5041)
@@ -98,6 +98,5 @@
   this->weaponMan->addWeapon(turret, 2, 2);
   this->weaponMan->addWeapon(turret2, 2, 3);
-  this->weaponMan->addWeapon(wpLeft, 3, 0);
-  this->weaponMan->addWeapon(wpRight,3 ,1);
+  //this->weaponMan->addWeapon(turret, 3, 0);
 
   this->weaponMan->changeWeaponConfig(0);
@@ -152,5 +151,4 @@
 
 }
-
 
 /**
Index: /orxonox/trunk/src/world_entities/weapons/test_gun.cc
===================================================================
--- /orxonox/trunk/src/world_entities/weapons/test_gun.cc	(revision 5040)
+++ /orxonox/trunk/src/world_entities/weapons/test_gun.cc	(revision 5041)
@@ -132,5 +132,5 @@
 
   this->setProjectile(CL_TEST_BULLET);
-  //this->getProjectileFactory()->prepare(100);
+  this->getProjectileFactory()->prepare(20);
 }
 
Index: /orxonox/trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- /orxonox/trunk/src/world_entities/weapons/weapon.cc	(revision 5040)
+++ /orxonox/trunk/src/world_entities/weapons/weapon.cc	(revision 5041)
@@ -191,5 +191,5 @@
     else
     {
-      PRINTF(4)("Failed to load sound %s to %s.\n.", soundFile, actionToChar(action));
+      PRINTF(2)("Failed to load sound %s to %s.\n.", soundFile, actionToChar(action));
     }
   }
@@ -197,5 +197,4 @@
     this->soundBuffers[action] = NULL;
 }
-
 
 /**
@@ -228,5 +227,4 @@
 }
 
-
 /////////////////
 //  EXECUTION  //
@@ -246,5 +244,5 @@
     if (this->requestedAction != WA_NONE)
       return;
-    printf("next action will be %s in %f seconds\n", actionToChar(action), this->stateDuration);
+    PRINTF(5)("next action will be %s in %f seconds\n", actionToChar(action), this->stateDuration);
     this->requestedAction = action;
   }
@@ -404,5 +402,4 @@
 }
 
-
 /**
  * checks and Reloads the Weapon
@@ -428,9 +425,9 @@
     this->energyLoaded += this->energy;
     this->energy = 0.0;
-    PRINT(3)("Energy empty");
-  }
-  else
-  {
-    PRINTF(3)("Loaded %f energy into the Guns Buffer\n", chargeSize);
+    PRINT(5)("Energy depleted\n");
+  }
+  else
+  {
+    PRINTF(5)("Loaded %f energy into the Guns Buffer\n", chargeSize);
     this->energyLoaded += chargeSize;
     this->energy -= chargeSize;
@@ -446,5 +443,5 @@
 inline void Weapon::enterState(WeaponState state)
 {
-  PRINTF(3)("ENTERING STATE %s\n", stateToChar(state));
+  PRINTF(4)("ENTERING STATE %s\n", stateToChar(state));
   // playing animation if availiable
   if (likely(this->animation[state] != NULL))
@@ -454,6 +451,4 @@
   this->currentState = state;
 }
-
-
 
 ///////////////////
@@ -513,5 +508,5 @@
 //  if (this->projectile == NULL)
   {
-    PRINTF(2)("There was no projectile assigned to the Weapon.\n");
+    PRINTF(1)("There was no projectile assigned to the Weapon.\n");
     retVal = false;
   }
@@ -528,5 +523,5 @@
 void Weapon::debug() const
 {
-  PRINT(3)("Weapon-Debug %s, state: %s, nexAction: %s\n", this->getName(), Weapon::stateToChar(this->currentState), Weapon::actionToChar(requestedAction));
+  PRINT(3)("Weapon-Debug %s, state: %s, nextAction: %s\n", this->getName(), Weapon::stateToChar(this->currentState), Weapon::actionToChar(requestedAction));
   PRINT(3)("Energy: max: %f; current: %f;  loadedMax: %f; loadedCurrent: %f; chargeMin: %f, chargeMax %f\n",
             this->energyMax, this->energy, this->energyLoadedMax, this->energyLoaded, this->minCharge, this->maxCharge);