Index: data/Media/materials/scripts/Console.material
===================================================================
--- data/Media/materials/scripts/Console.material	(revision 5054)
+++ data/Media/materials/scripts/Console.material	(revision 5055)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture console2.png
+				texture console2.tga
 			}
 		}
@@ -29,5 +29,5 @@
 			texture_unit
 			{
-				texture console3.png
+				texture console3.tga
 			}
 		}
@@ -47,5 +47,5 @@
 			texture_unit
 			{
-				texture console4.png
+				texture console4.tga
 			}
 		}
Index: data/Media/materials/scripts/Example.material
===================================================================
--- data/Media/materials/scripts/Example.material	(revision 5054)
+++ data/Media/materials/scripts/Example.material	(revision 5055)
@@ -14,5 +14,5 @@
 			texture_unit
 			{
-				texture spheremap.png
+				texture spheremap.tga
 				colour_op_ex add src_texture src_current
 				colour_op_multipass_fallback one one
@@ -32,5 +32,5 @@
 			texture_unit
 			{
-				texture ogrelogo.png
+				texture ogrelogo.tga
 			}
 		}
@@ -137,4 +137,6 @@
 	}
 }
+
+
 
 material Examples/CloudySky
@@ -334,5 +336,5 @@
 			texture_unit
 			{
-				texture flare.png
+				texture flare.tga
 			}
 		}
@@ -351,5 +353,5 @@
 			texture_unit
 			{
-				texture flaretrail.png
+				texture flaretrail.tga
 			}
 		}
@@ -372,5 +374,5 @@
 			texture_unit
 			{
-				texture flare.png
+				texture flare.tga
 			}
 		}
@@ -389,5 +391,5 @@
 			texture_unit
 			{
-				texture basic_droplet.png
+				texture basic_droplet.tga
 			}
 		}
@@ -403,5 +405,5 @@
 			texture_unit
 			{
-				texture dkyellow.png
+				texture dkyellow.tga
 			}
 		}
@@ -432,5 +434,5 @@
 			texture_unit
 			{
-				texture 10points.png
+				texture 10points.tga
 			}
 		}
@@ -474,5 +476,5 @@
 			texture_unit
 			{
-				texture steelhead.png
+				texture steelhead.tga
 			}
 		}
@@ -584,5 +586,5 @@
             texture_unit
             {
-                texture gras_02.png 
+                texture gras_02.tga 
             }
         }
@@ -600,5 +602,5 @@
             texture_unit
             {
-                texture gras_02.png 
+                texture gras_02.tga 
             }
         }
@@ -633,5 +635,5 @@
 			texture_unit
 			{
-				texture aureola.png PF_BYTE_LA
+				texture aureola.tga PF_BYTE_LA
 				tex_address_mode clamp
 			}
@@ -722,5 +724,5 @@
 			texture_unit
 			{
-				texture RustyBarrel.png
+				texture RustyBarrel.tga
 				filtering trilinear
 			}
@@ -742,5 +744,5 @@
 			texture_unit
 			{
-				texture WoodPallet.png
+				texture WoodPallet.tga
 				filtering trilinear
 			}
@@ -761,5 +763,5 @@
 			texture_unit
 			{
-				texture ribbonband.png 1d
+				texture ribbonband.tga 1d
 				tex_address_mode clamp
 				filtering none
Index: data/Media/materials/scripts/Ogre.material
===================================================================
--- data/Media/materials/scripts/Ogre.material	(revision 5054)
+++ data/Media/materials/scripts/Ogre.material	(revision 5055)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture spheremap.png
+				texture spheremap.tga
 				colour_op_ex add src_texture src_current
 				colour_op_multipass_fallback one one
@@ -63,5 +63,5 @@
 			texture_unit
 			{
-				texture WeirdEye.png
+				texture WeirdEye.tga
 			}
 		}
@@ -78,5 +78,5 @@
 			texture_unit
 			{
-				texture cursor.png
+				texture cursor.tga
 				tex_address_mode clamp
 			}
@@ -96,5 +96,5 @@
 			texture_unit
 			{
-				texture ogreborder.png
+				texture ogreborder.tga
 			}
 		}
@@ -113,5 +113,5 @@
 			texture_unit
 			{
-				texture ogreborderUp.png
+				texture ogreborderUp.tga
 			}
 		}
Index: data/Media/materials/scripts/Orxonox.material
===================================================================
--- data/Media/materials/scripts/Orxonox.material	(revision 5054)
+++ data/Media/materials/scripts/Orxonox.material	(revision 5055)
@@ -13,5 +13,5 @@
 			texture_unit
 			{
-				texture shot.png
+				texture shot.tga
 			}
 		}
@@ -33,5 +33,5 @@
 			texture_unit
 			{
-				texture OrxonoxRED.png
+				texture OrxonoxRED.tga
 			}
 		}
@@ -52,5 +52,5 @@
 			texture_unit
 			{
-				texture OrxonoxYELLOW.png
+				texture OrxonoxYELLOW.tga
 			}
 		}
@@ -71,5 +71,5 @@
 			texture_unit
 			{
-				texture OrxonoxGREEN.png
+				texture OrxonoxGREEN.tga
 			}
 		}
@@ -90,5 +90,5 @@
 			texture_unit
 			{
-				texture OrxonoxBlack.png
+				texture OrxonoxBlack.tga
 			}
 		}
@@ -109,5 +109,5 @@
 			texture_unit
 			{
-				texture backGround.png
+				texture backGround.tga
 			}
 		}
@@ -127,5 +127,5 @@
 			texture_unit
 			{
-				texture EnergyBackground.png
+				texture EnergyBackground.tga
 			}
 		}
@@ -145,5 +145,5 @@
 			texture_unit
 			{
-				texture clock.png
+				texture clock.tga
 			}
 		}
@@ -163,5 +163,5 @@
 			texture_unit
 			{
-				texture gun.png
+				texture gun.tga
 			}
 		}
@@ -181,5 +181,5 @@
 			texture_unit
 			{
-				texture man.png
+				texture man.tga
 			}
 		}
@@ -199,5 +199,5 @@
 			texture_unit
 			{
-				texture MapBackGround.png
+				texture MapBackGround.tga
 			}
 		}
@@ -217,5 +217,5 @@
 			texture_unit
 			{
-				texture MyShip.png
+				texture MyShip.tga
 			}
 		}
@@ -235,5 +235,5 @@
 			texture_unit
 			{
-				texture RacketBackground.png
+				texture RacketBackground.tga
 			}
 		}
@@ -254,5 +254,5 @@
 			texture_unit
 			{
-				texture TargetBackground.png
+				texture TargetBackground.tga
 			}
 		}
@@ -272,5 +272,5 @@
 			texture_unit
 			{
-				texture PrimarBackground.png
+				texture PrimarBackground.tga
 			}
 		}
@@ -290,5 +290,5 @@
 			texture_unit
 			{
-				texture PrimarSample.png
+				texture PrimarSample.tga
 			}
 		}
@@ -308,5 +308,5 @@
 			texture_unit
 			{
-				texture PrimarChoice.png
+				texture PrimarChoice.tga
 			}
 		}
@@ -326,5 +326,5 @@
 			texture_unit
 			{
-				texture RedPoint.png
+				texture RedPoint.tga
 			}
 		}
@@ -344,5 +344,5 @@
 			texture_unit
 			{
-				texture EnergyDistrBackground.png
+				texture EnergyDistrBackground.tga
 			}
 		}
@@ -362,5 +362,5 @@
 			texture_unit
 			{
-				texture ShieldLeftTop.png
+				texture ShieldLeftTop.tga
 			}
 		}
@@ -380,5 +380,5 @@
 			texture_unit
 			{
-				texture ShieldRightTop.png
+				texture ShieldRightTop.tga
 			}
 		}
@@ -398,5 +398,5 @@
 			texture_unit
 			{
-				texture ShieldLeftBottom.png
+				texture ShieldLeftBottom.tga
 			}
 		}
@@ -416,5 +416,5 @@
 			texture_unit
 			{
-				texture ShieldRightBottom.png
+				texture ShieldRightBottom.tga
 			}
 		}
@@ -434,5 +434,5 @@
 			texture_unit
 			{
-				texture TimeBackground.png
+				texture TimeBackground.tga
 			}
 		}
@@ -452,5 +452,5 @@
       texture_unit
       {
-        texture crosshair.png
+        texture crosshair.tga
       }
     }
Index: data/Media/materials/scripts/OrxonoxSky.material
===================================================================
--- data/Media/materials/scripts/OrxonoxSky.material	(revision 5054)
+++ data/Media/materials/scripts/OrxonoxSky.material	(revision 5055)
@@ -28,5 +28,5 @@
 			texture_unit
 			{
-				cubic_texture bluestar.png separateUV
+				cubic_texture bluestar.tga separateUV
 				tex_address_mode clamp
 			}
Index: data/Media/materials/scripts/PE_materials.material
===================================================================
--- data/Media/materials/scripts/PE_materials.material	(revision 5054)
+++ data/Media/materials/scripts/PE_materials.material	(revision 5055)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture flare.png
+				texture flare.tga
 			}
 		}
@@ -29,5 +29,5 @@
 			texture_unit
 			{
-				texture bigflame.png
+				texture bigflame.tga
 			}
 		}
@@ -47,5 +47,5 @@
 			texture_unit
 			{
-				texture smoke.png
+				texture smoke.tga
 			}
 		}
@@ -65,5 +65,5 @@
 			texture_unit
 			{
-				texture explosion.png
+				texture explosion.tga
 			}
 		}
@@ -83,5 +83,5 @@
 			texture_unit
 			{
-				texture ring_flare.png
+				texture ring_flare.tga
 			}
 		}
@@ -101,5 +101,5 @@
 			texture_unit
 			{
-				texture ring_flare2.png
+				texture ring_flare2.tga
 			}
 		}
@@ -119,5 +119,5 @@
 			texture_unit
 			{
-				texture flaretrail.png
+				texture flaretrail.tga
 			}
 		}
@@ -137,5 +137,5 @@
 			texture_unit
 			{
-				texture streak.png
+				texture streak.tga
 			}
 		}
Index: data/Media/materials/scripts/assf.material
===================================================================
--- data/Media/materials/scripts/assf.material	(revision 5054)
+++ data/Media/materials/scripts/assf.material	(revision 5055)
@@ -1,3 +1,3 @@
-material Material/SOLID/TEX/human_assf.png/VertCol
+material Material/SOLID/TEX/human_assf.tga/VertCol
 {
 	technique
@@ -9,5 +9,5 @@
 			texture_unit
 			{
-				texture human_assf.png
+				texture human_assf.tga
 			}
 		}
Index: data/Media/materials/scripts/assf5.material
===================================================================
--- data/Media/materials/scripts/assf5.material	(revision 5054)
+++ data/Media/materials/scripts/assf5.material	(revision 5055)
@@ -1,3 +1,3 @@
-material Material/SOLID/TEX/human_assf5.png/VertCol
+material Material/SOLID/TEX/human_assf5.tga/VertCol
 {
 	technique
@@ -9,5 +9,5 @@
 			texture_unit
 			{
-				texture human_assf5.png
+				texture human_assf5.tga
 			}
 		}
Index: data/Media/materials/scripts/ast.material
===================================================================
--- data/Media/materials/scripts/ast.material	(revision 5054)
+++ data/Media/materials/scripts/ast.material	(revision 5055)
@@ -1,3 +1,3 @@
-material rock/SOLID/TEX/rock.png
+material rock/SOLID/TEX/rock.tga
 {
 	technique
@@ -8,5 +8,5 @@
 			texture_unit
 			{
-				texture rock.png
+				texture rock.tga
 			}
 		}
Index: data/Media/materials/scripts/asteroids.material
===================================================================
--- data/Media/materials/scripts/asteroids.material	(revision 5054)
+++ data/Media/materials/scripts/asteroids.material	(revision 5055)
@@ -1,3 +1,3 @@
-material rock/TEXFACE/rock.png
+material rock/TEXFACE/rock.tga
 {
 	receive_shadows on
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture rock.png
+				texture rock.tga
 				colour_op modulate
 			}
Index: data/Media/materials/scripts/drone.material
===================================================================
--- data/Media/materials/scripts/drone.material	(revision 5054)
+++ data/Media/materials/scripts/drone.material	(revision 5055)
@@ -7,5 +7,5 @@
 			texture_unit
 			{
-				texture drone.png
+				texture drone.tga
 			}
 		}
Index: data/Media/materials/scripts/hoover.material
===================================================================
--- data/Media/materials/scripts/hoover.material	(revision 5054)
+++ data/Media/materials/scripts/hoover.material	(revision 5055)
@@ -1,3 +1,3 @@
-material SOLID/TEX/hoover_turbine.png
+material SOLID/TEX/hoover_turbine.tga
 {
 	technique
@@ -7,10 +7,10 @@
 			texture_unit
 			{
-				texture hoover_turbine.png
+				texture hoover_turbine.tga
 			}
 		}
 	}
 }
-material SOLID/TEX/hoover_gear.png
+material SOLID/TEX/hoover_gear.tga
 {
 	technique
@@ -20,10 +20,10 @@
 			texture_unit
 			{
-				texture hoover_gear.png
+				texture hoover_gear.tga
 			}
 		}
 	}
 }
-material SOLID/TEX/hoover_body.png
+material SOLID/TEX/hoover_body.tga
 {
 	technique
@@ -33,5 +33,5 @@
 			texture_unit
 			{
-				texture hoover_body.png
+				texture hoover_body.tga
 			}
 		}
Index: data/Media/materials/scripts/spacecruiser.material
===================================================================
--- data/Media/materials/scripts/spacecruiser.material	(revision 5054)
+++ data/Media/materials/scripts/spacecruiser.material	(revision 5055)
@@ -1,3 +1,3 @@
-material Material/SOLID/TEX/spacesruiser.png
+material Material/SOLID/TEX/spacesruiser.tga
 {
 	technique
@@ -9,5 +9,5 @@
 			texture_unit
 			{
-				texture spacesruiser.png
+				texture spacesruiser.tga
 			}
 		}
Index: data/Media/materials/scripts/starship.material
===================================================================
--- data/Media/materials/scripts/starship.material	(revision 5054)
+++ data/Media/materials/scripts/starship.material	(revision 5055)
@@ -1,3 +1,3 @@
-material Material/SOLID/TEX/starship.png
+material Material/SOLID/TEX/starship.tga
 {
 	technique
@@ -8,5 +8,5 @@
 			texture_unit
 			{
-				texture starship.png
+				texture starship.tga
 			}
 		}