Index: /orxonox/trunk/ChangeLog
===================================================================
--- /orxonox/trunk/ChangeLog	(revision 5065)
+++ /orxonox/trunk/ChangeLog	(revision 5066)
@@ -1,6 +1,10 @@
+2005-08-16      orxonox <info@orxonox.ethz.ch>
+        Realesed 0.3.1_alpha, on the grounds of collision detection
+        Working on a Windows-Realease...
+
 2005-08-16      Patrick Boenzli <boenzli@orxonox.ethz.ch>
         Integrated the collision detection into the orxonox framework. It
-	bases on object-oriented-bounding boxes. The tree is spawned out of 
-	any polygon soup.
+        bases on object-oriented-bounding boxes. The tree is spawned out of
+        any polygon soup.
 
 2005-08-15      Benjamin Grauer <bensch@orxonox.ethz.ch>
@@ -22,6 +26,6 @@
 2005-07-23      Patrick Boenzli <boenzli@orxonox.ethz.ch>
         Implemented a spatial separation algorithm that separates any polygon
-	soup into a quadtree. The tree leafs are hold in a hash table for
-	fast lookup.
+        soup into a quadtree. The tree leafs are hold in a hash table for
+        fast lookup.
 
 2005-07-14      Benjamin Grauer <bensch@orxonox.ethz.ch>
Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 5065)
+++ /orxonox/trunk/configure	(revision 5066)
@@ -1,5 +1,5 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for orxonox 0.3.0_alpha.
+# Generated by GNU Autoconf 2.59 for orxonox 0.3.1_alpha.
 #
 # Report bugs to <orxonox-dev at mail.datacore.ch>.
@@ -270,6 +270,6 @@
 PACKAGE_NAME='orxonox'
 PACKAGE_TARNAME='orxonox'
-PACKAGE_VERSION='0.3.0_alpha'
-PACKAGE_STRING='orxonox 0.3.0_alpha'
+PACKAGE_VERSION='0.3.1_alpha'
+PACKAGE_STRING='orxonox 0.3.1_alpha'
 PACKAGE_BUGREPORT='orxonox-dev at mail.datacore.ch'
 
@@ -789,5 +789,5 @@
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures orxonox 0.3.0_alpha to adapt to many kinds of systems.
+\`configure' configures orxonox 0.3.1_alpha to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
@@ -856,5 +856,5 @@
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of orxonox 0.3.0_alpha:";;
+     short | recursive ) echo "Configuration of orxonox 0.3.1_alpha:";;
    esac
   cat <<\_ACEOF
@@ -991,5 +991,5 @@
 if $ac_init_version; then
   cat <<\_ACEOF
-orxonox configure 0.3.0_alpha
+orxonox configure 0.3.1_alpha
 generated by GNU Autoconf 2.59
 
@@ -1005,5 +1005,5 @@
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by orxonox $as_me 0.3.0_alpha, which was
+It was created by orxonox $as_me 0.3.1_alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -1725,5 +1725,5 @@
 # Define the identity of the package.
  PACKAGE='orxonox'
- VERSION='0.3.0_alpha'
+ VERSION='0.3.1_alpha'
 
 
@@ -9867,5 +9867,5 @@
 cat >&5 <<_CSEOF
 
-This file was extended by orxonox $as_me 0.3.0_alpha, which was
+This file was extended by orxonox $as_me 0.3.1_alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -9930,5 +9930,5 @@
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-orxonox config.status 0.3.0_alpha
+orxonox config.status 0.3.1_alpha
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 5065)
+++ /orxonox/trunk/configure.ac	(revision 5066)
@@ -25,5 +25,5 @@
 #########################
 AC_PREREQ(2.56)
-AC_INIT(orxonox, 0.3.0_alpha, [orxonox-dev at mail.datacore.ch])
+AC_INIT(orxonox, 0.3.1_alpha, [orxonox-dev at mail.datacore.ch])
 
 ## Detect the canonical host and target build environment.
Index: /orxonox/trunk/src/world_entities/world_entity.cc
===================================================================
--- /orxonox/trunk/src/world_entities/world_entity.cc	(revision 5065)
+++ /orxonox/trunk/src/world_entities/world_entity.cc	(revision 5066)
@@ -72,5 +72,5 @@
   if (fileName != NULL)
   {
-    PRINTF(4)("loading %s\n", fileName);
+    PRINTF(4)("fetching %s\n", fileName);
     if (scaling == 1.0)
       this->model = (Model*)ResourceManager::getInstance()->load(fileName, OBJ, RP_CAMPAIGN);